Block Ticket (Reserved Seat)

This method involves a POST request to retrieve blocked seats provided by Klikoo’s B2B.



A. Request Header

FieldFormatMandatoryLengthExample
Content-TypestringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5k
Ry2pCo8oEoQN/GBpIPuO3eicY
63b7xY0WDffScvkOZsZ1442ewa
bI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
product_codestringUnique identifier for the producttrue"BUS"
selling_pricestringThe selling price of the producttrue“20000”
partner_reference_nostringThe partner’s reference number for the ordertrue“1238”
order_detailobjectAn object containing details about the ordertrue
namestringThe name of the person placing the ordertrue“Pandu”
emailstringThe email address of the person placing the ordertruepdputra
@pvg.co.id
phone_numberstringThe phone number of the person placing the ordertrue“082122274139”
departureobjectAn object containing details about the departuretrue
trip_idintThe ID of the trip for the departuretrue188336
passengersarray of
objects
An array of objects representing the passengerstrue
seat_namestringThe name or number of the passenger’s seat
seat name obtained from API Get Trip Detail
true“8”
namestringThe name of the passengertrue“Pandu”
dobstringThe date of birth of the passengertrue"1996-12-09"
genderstringThe gender of the passengertrue"male"
id_card_numberstringThe ID card number of the passengertrue"3174100921
9923332"
returnobjectAn object containing details about
the returned (if round trip)
true
seat_namestringThe name or number of the passenger’s seat
seat name obtained from API Get Trip Detail
true“9”
namestringThe name of the passengertrue“Pandu”
dobstringThe date of birth of the passengertrue“1996-12-09"
genderstringThe gender of the passengertrue"male"
id_card_numberstringThe ID card number of the passengertrue"31741009219
923332"

C. Sample Request


{
    "product_code": "BUS",
    "selling_price": "20000",
    "partner_reference_no": "1238",
    "order_detail": {
        "name": "Pandu",
        "email": "[email protected]",
        "phone_number": "082122274139"
    },
    "departure": {
        "trip_id": 188336,
        "passengers": [
            {
                "seat_name": "8",
                "name": "Pandu",
                "dob": "1996-12-09",
                "gender": "male",
                "id_card_number": "31741009219923332"
            }
        ]
    },
    "return": null
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“201052001”
response_messagestringContains the value of OpenAPI response message“Berhasil dibuat”
data objectThe object containing the main data of block seat info
transaction_idstringThe unique identifier for the transaction"14429004"
statusstringThe status of the transaction"WAITING"
expired_atstringThe expiration date and time of the transaction"2024-04-30T07:56:28+07:00"

E. Sample Response

{
    "response_code": "201052001",
    "response_message": "Berhasil dibuat",
    "data": {
        "transaction_id": "14429004",
        "status": "WAITING",
        "expired_at": "2024-04-30T07:56:28+07:00"
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
string
string
order_detail
object
departure
object
passengers
object
return
object
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json